Index: /extensions/cuise/admin/js/admin.js
===================================================================
--- /extensions/cuise/admin/js/admin.js	(revision 19989)
+++ /extensions/cuise/admin/js/admin.js	(revision 19990)
@@ -1,4 +1,58 @@
 jQuery(document).ready(function () {
   var input = $("input:file").val();
+  var init_width;
+
+  if (jQuery('#fileInput').ajaxfileuploader) {
+    jQuery('#fileInput').ajaxfileuploader({
+      SCRIPT: process_script,
+      PATH: path,
+      PATH_THEME: path_theme,
+      PATH_IMG: path_theme_images,
+      VALIDFORMAT: ['jpeg', 'jpg', 'png', 'gif', 'bmp'],
+      MAXUPLOAD: 9,
+      TABLEHEAD: {
+        name: 'name',
+        imgname: 'image name',
+        operation: 'Operation'
+      }
+    }
+        )
+
+
+    jQuery.fn.ajaxfileuploader.defaults = {
+      SCRIPT: process_script,
+      PATH: path,
+      PATH_THEME: path_theme,
+      PATH_IMG: path_theme_images,
+      ACTION: '',
+      VALIDFORMAT: ['jpeg', 'jpg', 'png', 'gif', 'bmp'],
+      MAXUPLOAD: 5,
+      TABLEHEAD: { name: 'name',
+        imgname: 'image name',
+        operation: 'Operation'
+      }
+    }
+  }
+
+
+  jQuery(window).resize(function (i) {
+    if (jQuery("#picker").lenght > 0) {
+      init_left = jQuery("#picker").offset().left - jQuery("#field_content").offset().left;
+      init_left = jQuery("#picker").width() + init_left;
+      width = jQuery("#field_content").width() - init_left - 60;
+      marge = jQuery("#test").css("border");
+      jQuery("#test").width(width);
+      jQuery("#test").css({
+        float: "right",
+        right: "0px"
+      });
+    }
+  });
+
+
+  jQuery(".image").live('change', function (e) {
+
+    imgname = jQuery(".image").css("background-image");
+  });
 
   //===================================
@@ -16,5 +70,209 @@
 
   });
-
+  var text_id = "";
+  jQuery("*").mouseover(function (i) {
+    return;
+
+    id = jQuery(i.currentTarget).attr("id");
+    name = jQuery(i.currentTarget).attr("name");
+    var yourClass = i.currentTarget.className;
+    if (yourClass == "select") return;
+
+    current = jQuery(i.currentTarget);
+    jQuery("#infos").text(id);
+    if (text_id != "") {
+      jQuery(i.currentTarget).css("border", "solid 0px red");
+      jQuery("#infos").text(text_id);
+      text_id = "";
+    }
+
+    return;
+  });
+  jQuery("*").mouseout(function (i) {
+    return;
+    id = jQuery(i.currentTarget).attr("id");
+    name = jQuery(i.currentTarget).attr("name");
+    var yourClass = i.currentTarget.className;
+    if (yourClass == "select")
+      jQuery(i.currentTarget).css("border", "solid 0px red");
+
+    return;
+  });
+  jQuery(window).load(function (i) {
+    jQuery(window).resize();
+    options = Get_Options();
+
+
+
+    jQuery(".image").css(options.direct);
+    jQuery(".image a").css("color", options.direct.color);
+    jQuery(".image a:hover").css("color", options.Hover.color);
+    jQuery(".image:hover border-color").css("color", options.Hover.color);
+
+    jQuery("#selTab input").click(function (i) {
+      return;
+
+      id = jQuery(i.currentTarget).attr("id");
+      name = jQuery(i.currentTarget).attr("name");
+      if (name == "sel_tab") {
+        options = Get_Options();
+
+        switch (i.currentTarget.value) {
+          case "0":
+
+            break;
+          case "1":
+            break;
+          case "2":
+            break;
+          case "3":
+            break;
+          case "4":
+            break;
+        }
+
+
+        if (!options) return;
+        jQuery("." + name).css(options);
+        jQuery(".image").css(options.direct);
+        jQuery(".image").css(options.direct);
+        jQuery(".image a").css("color", options.direct.color);
+        jQuery(".image a:hover").css("color", options.Hover.color);
+        jQuery(".image:hover border-color").css("color", options.Hover.color);
+        return;
+      }
+
+
+      var yourClass = i.currentTarget.className;
+
+      if (text_id == "") {
+        text_id = id + " ," + yourClass + " ," + i.currentTarget.nodeName;
+        jQuery("#infos").text(text_id);
+      }
+
+
+    });
+
+  });
+  function Get_Options() {
+    options = { direct: {
+      rayon: jQuery("#rayon_cuise").val(),
+      chk_cuise: jQuery("#chk_cuise").val(),
+      backgroundColor: jQuery("#bg_cuise").val(),
+
+
+      backgroundImage: "url(" + jQuery("#img_src").text() + ")",
+
+      borderColor: jQuery("#bd_cuise").val(),
+      borderWidth: jQuery("#bd_width").val(),
+
+
+      //backgroundRepeat: jQuery("." + name).css('backgroundRepeat'),
+      backgroundPosition: "center center",
+
+      color: jQuery("#co_cuise").val()
+
+    }, Hover: {
+      backgroundColor: jQuery("#bgho_cuise").val(),
+      borderColor: jQuery("#bdho_cuise").val(),
+      color: jQuery("#coho_cuise").val()
+    }
+    }
+    return options;
+  }
+
+  jQuery("input").click(function (i) {
+    tg = i.target;
+    name_tpl = name_tpl;
+
+
+    n = jQuery(this).attr("name");
+    if (n == "sel_tab") return;
+
+    types = n.split("_");
+
+    if (n.lastIndexOf("_") < 0) return;
+    id = n.substring(n.lastIndexOf("_") + 1);
+    if (!isNaN(id)) {
+      name = name_tpl[id];
+      type = types[0];
+      new_val = jQuery(tg).val();
+      options = Get_Options();
+
+     
+      switch (type) {
+        case 'rayon':
+
+          options.direct['MozBorderRadius'] = new_val;
+          options.direct['borderRadius'] = new_val + " " + new_val;
+
+
+          break;
+
+        case 'bg':
+          options.direct['backgroundColor'] = new_val;
+          break;
+        case 'bgho':
+          name = name + "";
+          options.Hover['backgroundColor'] = new_val;
+          break;
+        case 'bd':
+
+          if (types[1] == 'width') {
+            options.direct['borderStyle'] = "Solid";
+            options.direct['borderWidth'] = new_val;
+          } else {
+            options.direct['borderColor'] = new_val;
+          }
+          break;
+        case 'bdho':
+          name = name + "";
+          options.Hover['borderColor'] = new_val;
+          break;
+        case 'co':
+          name = name + " a";
+          options.direct['color'] = new_val;
+          break;
+        case 'coho':
+          name = name + " a";
+          options.Hover['color'] = new_val;
+          break;
+
+        case 'chk':
+
+          switch (types[2]) {
+            case 'x':
+              options.direct['backgroundRepeat'] = 'repeat-x';
+              break;
+            case 'y':
+              options.direct['backgroundRepeat'] = 'repeat-y';
+              break;
+            case id:
+              img_src = jQuery("#img_src").text();
+              if (tg.checked) {
+                options.direct['backgroundImage'] = 'none';
+              } else {
+                options.direct['backgroundColor'] = 'Transparent';
+                options.direct['backgroundImage'] = "url(" + img_src + ")";
+                options.direct['backgroundPosition'] = "center center";
+              }
+              break;
+          }
+          break;
+
+
+      }
+
+
+      delta = parseInt(options['borderWidth']) * 2;
+      width = jQuery("#fldres").width() - jQuery("#picker").width() - 55;
+      width -= delta;
+      jQuery("#test").width(width);
+
+       jQuery("." + name).css( options.direct );
+      jQuery("." + name +":hover" ).css( "color",options.Hover.color );
+ 
+    }
+  });
 
 
@@ -24,23 +282,5 @@
   });
 
-  var f = jQuery.farbtastic('#picker');
-  var p = jQuery('#picker').css('opacity', 1);
-  var selected;
-  jQuery('.colorwell')
-      .each(function () {
-        f.linkTo(this);
-        $(this).css('opacity', 1);
-
-      })
-      .focus(function () {
-        if (selected) {
-          $(selected).css('opacity', 1).removeClass('colorwell-selected');
-        }
-        f.linkTo(this);
-        p.css('opacity', 1);
-        $(selected = this).css('opacity', 1).addClass('colorwell-selected');
-        col = $(selected = this).css("backgroundColor");
-
-      });
+
 });
 
Index: /extensions/cuise/admin/js/fileupload.js
===================================================================
--- /extensions/cuise/admin/js/fileupload.js	(revision 19989)
+++ /extensions/cuise/admin/js/fileupload.js	(revision 19990)
@@ -45,4 +45,5 @@
       jQuery("#fileInputTxt").val(name);
       jQuery(".image").css({ backgroundImage: "url(" + imgname + ")" });
+      jQuery(".image").trigger("change");
       return;
 
@@ -186,5 +187,25 @@
   jQuery(document).ready(function () {
     jQuery(window).load(function (i) {
-
+     if(!jQuery.farbtastic)  return ;
+
+     var f = jQuery.farbtastic('#picker');
+      var p = jQuery('#picker').css('opacity', 1);
+      var selected;
+      jQuery('.colorwell')
+      .each(function () {
+        f.linkTo(this);
+        $(this).css('opacity', 1);
+
+      })
+      .focus(function () {
+        if (selected) {
+          $(selected).css('opacity', 1).removeClass('colorwell-selected');
+        }
+        f.linkTo(this);
+        p.css('opacity', 1);
+        $(selected = this).css('opacity', 1).addClass('colorwell-selected');
+        col = $(selected = this).css("backgroundColor");
+
+      });
     });
   });
@@ -192,2 +213,3 @@
 
 
+
Index: /extensions/cuise/admin/maintain.inc.php
===================================================================
--- /extensions/cuise/admin/maintain.inc.php	(revision 19989)
+++ /extensions/cuise/admin/maintain.inc.php	(revision 19990)
@@ -12,16 +12,18 @@
     $params['theme'] = 'cuise' ;
 
-    $name_tpl=array("cbmt.gif","bpv.jpg","bp3.jpg","bph.png","header.png");
+    $name_img=array("cbmt.gif","bpv.jpg","bp3.jpg","bph.png","header.png");
   for($id=0;$id<$nb_template;$id++){
   		$params  = array_merge($params,array( 			
-						"bg_cuise_$id"			=> '#FFA800',
-						"bgho_cuise_$id"			=> '#0072FF',
-						"bd_cuise_$id"			=> '#4F4F4F',
-						"co_cuise_$id"		  => '#4F4F4F',
-            "coho_cuise_$id"		  => '#F4F4F4',
-            "img_cuise_$id"    =>   $name_tpl[$id],
-            "chk_cuise_x_$id"    => 'checked',
-            "chk_cuise_y_$id"    => '',
-            "rayon_cuise_$id"    => '8px',
+						"bg_cuise_$id"			  => '#d4d4d4',
+						"bgho_cuise_$id"			=> '#A0A0A0',
+						"bd_cuise_$id"			  => '#4F4F4F',
+						"bdho_cuise_$id"			=> '#4F4F4F',
+            "bd_width_cuise_$id"	=> '0px',
+						"co_cuise_$id"		    => '#4F4F4F',
+            "coho_cuise_$id"		  => '#5f5f5f',
+            "img_cuise_$id"       => $name_img[$id],
+            "chk_cuise_x_$id"     => 'checked',
+            "chk_cuise_y_$id"     => '',
+            "rayon_cuise_$id"     => '8px',
             "chk_cuise_$id"    => ''
             ));
Index: /extensions/cuise/admin/test.tpl
===================================================================
--- /extensions/cuise/admin/test.tpl	(revision 19990)
+++ /extensions/cuise/admin/test.tpl	(revision 19990)
@@ -0,0 +1,141 @@
+{html_head}
+<script type="text/javascript" src="themes/cuise/admin/js/admin.js" ></script>
+<link rel="stylesheet" href="themes/cuise/admin/theme.css" />
+{php}
+global $themeconf,$mytheme ,$fond_color,$conf ;  
+global $arguments;
+$mytheme = 'themes/'.$themeconf['name'].'/';
+$mycss="theme.css.php";
+load_conf_from_db();
+$params = array_merge(unserialize($conf['cuise']));
+ $keys="";
+  foreach($params as $ligne=>$id){ 
+    $id=str_replace("#","_",$id);
+    $keys .= $ligne ."=".$id ."&";    
+  }
+$args='?'.$keys."redraw=admin";
+if(file_exists( $mytheme."theme.css.css")){
+    $mycss="theme.css.css";
+    $args="";
+}
+{/php}
+
+<!-- **LOCAL** >HEADER> {php} echo $params['theme'];{/php} / {php} echo $params['parent']; {/php} -->
+<!-- link rel="stylesheet" type="text/css" href="themes/default/theme.css">
+<link rel="stylesheet" type="text/css" href="themes/default/print.css">
+<link rel="stylesheet" type="text/css" href="themes/{php} echo $params['parent']; {/php}/theme.css">
+<link rel="stylesheet" type="text/css" href="themes/{php} echo $params['theme'];{/php}/theme.css" -->
+<link rel="stylesheet" href="{php} echo  $mytheme.$mycss.$args;  {/php}"  type="text/css" /> 
+<!-- **LOCAL** >HEADER> --> 
+{/html_head}	
+
+<fileldset  ><legend>Rendu</legend>
+<span id="infos" > TEST </span>
+<fileldset id="admin" ><legend>Rendu</legend>
+<div id="thePicturePage"  > 
+ <div id="thePage" name="thePicturePage">
+    <div id="theHeader"   > <a name='test'  > {$theme}images/{$selected_img_cuise}</a>   </div>
+    <div id="menubar">
+      <dl id="mbCategories" >
+        <dt><a href="" class="pwg-state-default pwg-button menubarFilter"
+          title="n'afficher que les photos publiées récemment" rel="nofollow"><span class="pwg-icon pwg-icon-filter">
+          </span></a><a href="">Albums</a> </dt>
+        <dd>
+          <ul>
+            <li><a href="" title="2 photos dans cet album">Album Set</a>
+              <span class="menuInfoCat" title="2 photos dans cet album">[2]</span> </li>
+            <li><a href="" title="26 photos dans cet album">charlies</a>
+              <span class="menuInfoCat" title="26 photos dans cet album">[26]</span> </li>
+            <li><a href="" title="11 photos dans cet album">famille</a>
+              <span class="menuInfoCat" title="11 photos dans cet album">[11]</span> </li>
+            <li><a href="" title="6 photos dans cet album">haute_definition</a>
+              <span class="menuInfoCat" title="6 photos dans cet album">[6]</span> </li>
+            <li><a href="" title="1 photo dans cet album / 1383 photos dans 18 sous-albums">
+              Voyages</a> <span class="menuInfoCat" title="1 photo dans cet album / 1383 photos dans 18 sous-albums">             [1384]</span> </li>
+          </ul>
+          <p class="totalImages">
+            1854 photos</p>
+        </dd>
+      </dl>
+      <dl id="mbSpecials">
+        <dt>Spéciales</dt>
+        <dd>
+          <ul>
+            <li><a href="" title="afficher mes photos favorites">Mes favorites</a></li>
+            <li><a href="" title="afficher les photos les plus vues">Plus vues</a></li>
+            <li><a href="" title="afficher les photos les mieux notées">Mieux notées</a></li>
+            <li><a href="" title="afficher un ensemble de photos prises au hasard" rel="nofollow">Photos au hasard</a></li>
+            <li><a href="" title="afficher les photos les plus récentes"> Photos récentes</a></li>
+            <li><a href="" title="afficher les albums récemment mis à jour ou créés"> Albums récents</a></li>
+            <li><a href="" title="affichage année par année, mois par mois, jour par jour" rel="nofollow">Calendrier</a></li>
+          </ul>
+        </dd>
+      </dl>
+
+   </div> <!--menubar -->
+
+<div id="content" class="content contentWithMenu">
+<div class="titrePage">
+	<ul class="categoryActions">
+		<li><a href="" title="afficher à plat les photos des albums et des sous-albums" class="pwg-state-default pwg-button" rel="nofollow">
+    <span class="pwg-icon pwg-icon-category-view-flat">&nbsp;</span>
+    <span class="pwg-button-text">afficher à plat les photos des albums et des sous-albums</span></a>
+    </li>
+
+		<li><a href="" title="afficher un calendrier par date d'ajout" class="pwg-state-default pwg-button" rel="nofollow"><span class="pwg-icon pwg-icon-calendar">&nbsp;</span><span class="pwg-button-text">Calendrier</span></a></li>
+
+		<li><a href="" title="afficher un calendrier par date de création" class="pwg-state-default pwg-button" rel="nofollow"><span class="pwg-icon pwg-icon-camera-calendar">&nbsp;</span><span class="pwg-button-text">Calendrier</span></a></li>
+
+<li><a id="icon_gmaps"
+   class="button size28x28"
+   style="display:inline-block;background:url(plugins/GMaps/img/i28x28_1.png);width:28px;height:28px;"
+   title="Localiser la photo sur une carte"
+   href=''
+   onclick='$("#iGMapsIconContent").dialog("open"); return(false);'></a>
+</li>
+  
+   
+	</ul>
+
+<h2><a href="">Accueil</a></h2>
+</div> <!--  titrePage -->
+
+<ul class="thumbnailCategories">
+    <li class="even">
+      <div class="thumbnailCategory">
+        <div class="illustration">
+          <a href="">
+            <img src="themes/cuise/admin/images/20100907133435-b82907c5-th.jpg" alt="Album Set"
+              title="Album Set - montre les photos à la racine de cet album">
+          </a>
+        </div>
+        <div class="description">
+          <h3>
+            <a href="">Album Set</a>
+          </h3>
+          <div class="text">
+            <p class="Nb_images">
+              2 photos</p>
+          </div>
+        </div>
+      </div>
+    </li>
+</ul>
+
+<ul id="thumbnails" class="thumbnails">
+<li><span class="wrap1">
+<span class="wrap2">
+<a href="">
+<img class="thumbnail" title="Photo  20100815 (14 visites, score 0.00) &#13;&#10;&#9;Bonjour&#13;&#10;TEST 12356 23456para..." alt="Photo  20100815" src="themes/cuise/admin/images/20110331152453-0fc233a9-th.jpg" ></a>
+</span><span class="thumbLegend">
+<span class="thumbName">Photo  20100815</span></span></span>
+</li>
+
+</ul>
+</div> <!--content-->
+  </div> <!-- thePage -->
+</div> <!-- thePicturePage -->
+
+
+</fieldset>
+</fieldset>
Index: /extensions/cuise/admin_theme.css.php
===================================================================
--- /extensions/cuise/admin_theme.css.php	(revision 19990)
+++ /extensions/cuise/admin_theme.css.php	(revision 19990)
@@ -0,0 +1,222 @@
+ <?php echo $prefix; ?> a {
+ color:red
+ }
+ *,.*{ 
+  background-image:none;
+  background-color:transparent ;
+   
+ }
+a{
+  color:<?php echo $fondBG_a ;?>;
+ }
+  a:hover{
+  color:<?php echo $fondBG_a_hover ;?>;
+ }
+
+  .browsePath{
+   background-image:none;
+  background-color:transparent ;
+ }
+
+  #imageHeaderBar, .titrePage{ 
+ height:32px;
+ }
+  #imageHeaderBar .browsePath,.titrePage{
+ padding-top:8px;
+ }
+  #theImageAndInfos{
+    background-image:none;
+  background-color:transparent ;
+ }
+ input[type='text'], input[type='password'], input[type='button'], input[type='submit'], input[type='reset'], input[type='file'], select, textarea{
+ background-color:<?php echo $fondBG_color;?> ;
+ color:<?php echo $fondBG_a ;?>;
+}
+  body{ 
+ background-color:<?php echo $fondBG_color;?> ;
+ background-image:<?php echo $fondBG ;?>;
+ color:<?php echo $fondBG_a ;?>;
+}
+
+ .titrePage,#imageHeaderBar{
+background-color:<?php echo $fondBp_color ;?>;
+background-image:<?php echo $fondBp ;?>; 
+ color:<?php echo $fondBp_a ;?>;
+}
+ .titrePage a,#imageHeaderBar a{
+ 
+ color:<?php echo $fondBp_a ;?>;
+}
+ .titrePage a:hover,#imageHeaderBar a:hover{
+ 
+ color:<?php echo $fondBp_a_hover ;?>;
+}
+/*===========================================================*/
+ #menubar{
+background-color:<?php echo $Menu_bar_color ;?>;
+background-image:<?php echo $Menu_bar ;?>; 
+    -moz-border-radius: <?php echo $Menu_bar_rayon ;?>;  
+  border-radius:  <?php echo $thumbnail_rayon." ".$Menu_bar_rayon ;?>; 
+  background-position:  100px;
+}
+ #menubar:hover{
+  background-color:<?php echo $Menu_bar_color_hover ;?>;
+  background-image:<?php echo $Menu_bar_hover ;?>; 
+
+}
+ #menubar dd a{
+ color:<?php echo $Menu_bar_a ;?>;
+ 
+
+}
+ #menubar dd a:hover{
+  color:<?php echo $Menu_bar_a_hover ;?>;  
+}
+#menubar li a{ display:inline;
+}
+ #menubar dt{
+  background-color:<?php echo $fondBp_color ;?>;
+  background-image:<?php echo $fondBp ;?>;     
+   -moz-border-radius: <?php echo $thumbnail_rayon ;?>;  
+  border-radius:  <?php echo $thumbnail_rayon." ".$thumbnail_rayon ;?>; 
+}
+ #menubar dt:hover,#menubar dt a:hover{
+  color:<?php echo $fondBp_a_hover ;?>;
+
+}
+#menubar dt,#menubar dt a{
+ color:<?php echo $fondBp_a ;?>;
+ 
+}
+
+
+ #menubar dl{
+  background-color:Transparent;
+  background-image:none; 
+}
+#menubar li {
+	list-style-position: inside;
+	list-style-image: url(images/small_bullet_0.png);
+}
+#menubar li li {
+	list-style-position: inside;
+	list-style-image: url(images/small_bullet_2.png);
+}
+#menubar li li li{
+	list-style-position: inside;
+	list-style-image: url(images/small_bullet_vert.png);
+}
+#menubar li li li li{
+	list-style-position: inside;
+	list-style-image: url(images/small_bullet_bleu.png);
+}
+
+
+/*========================================================*/
+ #content,.content{
+background-color:<?php echo $Menu_bar_color ;?>;
+background-image:<?php echo $Menu_bar ;?>; 
+  
+}
+ #content:hover{
+background-color:<?php echo $Menu_bar_color_hover ;?>;
+background-image:<?php echo $Menu_bar_hover ;?>; 
+ 
+
+}
+ #content a,.content a{
+  color:<?php echo $Menu_bar_a ;?>;
+  
+}
+ #content a:hover{
+  color:<?php echo $Menu_bar_a_hover ;?>;
+}
+
+ .thumbnailCategory{
+background-color:<?php echo $thumbnail_color ;?>;
+background-image:<?php echo $thumbnail ;?>; 
+}
+ .thumbnailCategory:hover{
+  background-color:<?php echo $thumbnail_color_hover ;?>;
+  background-image:<?php echo $thumbnail_hover ;?>; 
+}
+
+
+ #theHeader{
+background-color:<?php echo $bck_header_color ;?>;
+<?php if($bck_header!='none'){
+echo "height:200px;width:100%;";
+}
+
+
+
+?>
+background-image:<?php echo $bck_header ;?>;
+background-repeat: no-repeat;
+background-position: center middle;
+}
+
+ #imageInfos{ 
+background-image:<?php echo $Menu_bar ;?>; 
+background-position: center middle;
+}
+
+ #comments  {
+ background-color:<?php echo $thumbnail_color_hover ;?>;
+background-image:<?php echo $fondBp ;?>; 
+ 
+background-repeat: repeat-x;
+background-position: center middle;
+}
+ #pictureComments  {
+background-image:<?php echo $thumbnail ;?>; 
+background-repeat: repeat-x;
+background-position: center middle;
+}
+
+
+
+/******** stripped ********/
+ .categoryActions {
+<?php if(  $theme_parent =="stripped_black_bloc" ) 
+ echo "float:none;"; 
+?>
+ 
+}
+ #themeSwitchBox{width:420px;
+diplay:block;
+}
+.theme-thumb{ height:80px;width:80px;
+ 
+}
+
+.menuhidden .switchArrow		{ background-position: 0 0;}
+.menushown   .switchArrow		{ background-position: -16px 0;}
+.infohidden .switchArrow		{ background-position: -16px 0;}
+.infoshown   .switchArrow		{ background-position: 0 0;}
+.commentshidden .switchArrow	{ background-position: -48px 0;}
+.commentsshown   .switchArrow	{ background-position: -32px 0;}
+
+
+/*================================================================*/
+.thumbnailCategories .description{padding:5px;
+  background-image:<?php echo $thumbnail; ?> ;
+     -moz-border-radius: <?php echo $thumbnail_rayon ;?>;  
+  border-radius:  <?php echo $thumbnail_rayon." ".$thumbnail_rayon ;?>; 
+  background-position: center center;
+}
+
+.thumbnails li, #thumbnails li,.thumbnailCategories li, #thumbnails ul{
+  background-image:<?php echo $thumbnail; ?> ;
+     -moz-border-radius: <?php echo $thumbnail_rayon ;?>;  
+  border-radius:  <?php echo $thumbnail_rayon." ".$thumbnail_rayon ;?>; 
+   background-position: center center;
+}
+.thumbnails li:hover, #thumbnails li:hover,.thumbnailCategories li:hover,#thumbnails ul:hover{
+  background-image:<?php echo $thumbnail_hover; ?> ;
+     -moz-border-radius: <?php echo $thumbnail_rayon ;?>;  
+  border-radius:  <?php echo $thumbnail_rayon." ".$thumbnail_rayon ;?>; 
+   background-position: 100px center;
+}
+.switchArrow				{ background-image:url(icon/arrows_black.png);}
+.switchArrow:hover 			{ background-image:url(icon/arrows_black_hover.png);}
Index: /extensions/cuise/js/theme.js
===================================================================
--- /extensions/cuise/js/theme.js	(revision 19989)
+++ /extensions/cuise/js/theme.js	(revision 19990)
@@ -1,4 +1,4 @@
 /* -----------------------------------------------------------------------------
-  GALLY-CUISE
+  cuise
   Template for Piwigo
   ------------------------------------------------------------------------------
@@ -8,9 +8,6 @@
   ------------------------------------------------------------------------------
   author: cljosse at piwigo.org
-  << May the Little SpaceFrog be with you >>
   ------------------------------------------------------------------------------
   Specific JS for the theme
-
-  see the release_notes.txt file for more informations
 ----------------------------------------------------------------------------- */
 
Index: /extensions/cuise/local_head.tpl
===================================================================
--- /extensions/cuise/local_head.tpl	(revision 19989)
+++ /extensions/cuise/local_head.tpl	(revision 19990)
@@ -19,14 +19,10 @@
     $keys .= $ligne ."=".$id ."&";    
   }
-$args='?'.$keys."redraw='ok'";
+$args='?'.$keys."redraw=ok";
 if(file_exists( $mytheme."theme.css.css")){
     $mycss="theme.css.css";
     $args="";
 }
-{/php}
-
-
-
- 
+{/php} 
 <!-- **LOCAL** >HEADER> {$themeconf.name} / {$themeconf.parent} -->
 <link rel="stylesheet" href="{php} echo  $mytheme.$mycss.$args;  {/php}"  type="text/css" /> 
Index: /extensions/cuise/ok_theme.css.php
===================================================================
--- /extensions/cuise/ok_theme.css.php	(revision 19990)
+++ /extensions/cuise/ok_theme.css.php	(revision 19990)
@@ -0,0 +1,218 @@
+ <?php echo $prefix; ?> a {
+ color:red
+ }
+ *,.*{ 
+  background-image:none;
+  background-color:transparent ;
+   
+ }
+ a{
+  color:<?php echo $fondBG_a ;?>;
+ }
+  a:hover{
+  color:<?php echo $fondBG_a_hover ;?>;
+ }
+
+ .browsePath{
+   background-image:none;
+  background-color:transparent ;
+ }
+
+ #imageHeaderBar, .titrePage{ 
+ height:32px;
+ }
+ #imageHeaderBar .browsePath,.titrePage{
+ padding-top:8px;
+ }
+ #theImageAndInfos{
+    background-image:none;
+  background-color:transparent ;
+ }
+input[type='text'], input[type='password'], input[type='button'], input[type='submit'], input[type='reset'], input[type='file'], select, textarea{
+ background-color:<?php echo $fondBG_color;?> ;
+ color:<?php echo $fondBG_a ;?>;
+}
+ body{ 
+ background-color:<?php echo $fondBG_color;?> ;
+ background-image:<?php echo $fondBG ;?>;
+ color:<?php echo $fondBG_a ;?>;
+}
+
+.titrePage,#imageHeaderBar{
+background-color:<?php echo $fondBp_color ;?>;
+background-image:<?php echo $fondBp ;?>; 
+ color:<?php echo $fondBp_a ;?>;
+}
+.titrePage a,#imageHeaderBar a{
+ 
+ color:<?php echo $fondBp_a ;?>;
+}
+.titrePage a:hover,#imageHeaderBar a:hover{
+ 
+ color:<?php echo $fondBp_a_hover ;?>;
+}
+/*===========================================================*/
+#menubar{
+background-color:<?php echo $Menu_bar_color ;?>;
+background-image:<?php echo $Menu_bar ;?>; 
+    -moz-border-radius: <?php echo $Menu_bar_rayon ;?>;  
+  border-radius:  <?php echo $thumbnail_rayon." ".$Menu_bar_rayon ;?>; 
+  background-position:  100px;
+}
+#menubar:hover{
+  background-color:<?php echo $Menu_bar_color_hover ;?>;
+  background-image:<?php echo $Menu_bar_hover ;?>; 
+
+}
+#menubar dd a{
+ color:<?php echo $Menu_bar_a ;?>;
+ 
+
+}
+#menubar dd a:hover{
+  color:<?php echo $Menu_bar_a_hover ;?>;  
+}
+#menubar li a{ display:inline;
+}
+#menubar dt{
+  background-color:<?php echo $fondBp_color ;?>;
+  background-image:<?php echo $fondBp ;?>;     
+   -moz-border-radius: <?php echo $thumbnail_rayon ;?>;  
+  border-radius:  <?php echo $thumbnail_rayon." ".$thumbnail_rayon ;?>; 
+}
+ #menubar dt:hover,#menubar dt a:hover{
+  color:<?php echo $fondBp_a_hover ;?>;
+
+}
+#menubar dt,#menubar dt a{
+ color:<?php echo $fondBp_a ;?>;
+
+}
+#menubar dl{
+  background-color:Transparent;
+  background-image:none; 
+}
+#menubar li {
+	list-style-position: inside;
+	list-style-image: url(images/small_bullet_0.png);
+}
+#menubar li li {
+	list-style-position: inside;
+	list-style-image: url(images/small_bullet_2.png);
+}
+#menubar li li li{
+	list-style-position: inside;
+	list-style-image: url(images/small_bullet_vert.png);
+}
+#menubar li li li li{
+	list-style-position: inside;
+	list-style-image: url(images/small_bullet_bleu.png);
+}
+/*========================================================*/
+#content,.content{
+background-color:<?php echo $Menu_bar_color ;?>;
+background-image:<?php echo $Menu_bar ;?>; 
+  
+}
+#content:hover{
+background-color:<?php echo $Menu_bar_color_hover ;?>;
+background-image:<?php echo $Menu_bar_hover ;?>; 
+ 
+
+}
+#content a,.content a{
+  color:<?php echo $Menu_bar_a ;?>;
+  
+}
+#content a:hover{
+  color:<?php echo $Menu_bar_a_hover ;?>;
+}
+
+.thumbnailCategory{
+background-color:<?php echo $thumbnail_color ;?>;
+background-image:<?php echo $thumbnail ;?>; 
+}
+.thumbnailCategory:hover{
+  background-color:<?php echo $thumbnail_color_hover ;?>;
+  background-image:<?php echo $thumbnail_hover ;?>; 
+}
+
+
+#theHeader{
+background-color:<?php echo $bck_header_color ;?>;
+<?php if($bck_header!='none'){
+echo "height:200px;width:100%;";
+}
+
+
+
+?>
+background-image:<?php echo $bck_header ;?>; 
+background-repeat: no-repeat;
+background-position: center middle;
+}
+
+#imageInfos{ 
+background-image:<?php echo $Menu_bar ;?>; 
+background-position: center middle;
+}
+
+#comments  {
+ background-color:<?php echo $thumbnail_color_hover ;?>;
+background-image:<?php echo $fondBp ;?>; 
+ 
+background-repeat: repeat-x;
+background-position: center middle;
+}
+#pictureComments  {
+background-image:<?php echo $thumbnail ;?>; 
+background-repeat: repeat-x;
+background-position: center middle;
+}
+
+
+
+/******** stripped ********/
+.categoryActions {
+<?php if(  $theme_parent =="stripped_black_bloc" ) 
+ echo "float:none;"; 
+?>
+ 
+}
+#themeSwitchBox{width:420px;
+diplay:block;
+}
+.theme-thumb{ height:80px;width:80px;
+ 
+}
+
+.menuhidden .switchArrow		{ background-position: 0 0;}
+.menushown   .switchArrow		{ background-position: -16px 0;}
+.infohidden .switchArrow		{ background-position: -16px 0;}
+.infoshown   .switchArrow		{ background-position: 0 0;}
+.commentshidden .switchArrow	{ background-position: -48px 0;}
+.commentsshown   .switchArrow	{ background-position: -32px 0;}
+
+
+/*================================================================*/
+.thumbnailCategories .description{padding:5px;
+  background-image:<?php echo $thumbnail; ?> ;
+     -moz-border-radius: <?php echo $thumbnail_rayon ;?>;  
+  border-radius:  <?php echo $thumbnail_rayon." ".$thumbnail_rayon ;?>; 
+  background-position: center center;
+}
+
+.thumbnails li, #thumbnails li,.thumbnailCategories li, #thumbnails ul{
+  background-image:<?php echo $thumbnail; ?> ;
+     -moz-border-radius: <?php echo $thumbnail_rayon ;?>;  
+  border-radius:  <?php echo $thumbnail_rayon." ".$thumbnail_rayon ;?>; 
+   background-position: center center;
+}
+.thumbnails li:hover, #thumbnails li:hover,.thumbnailCategories li:hover,#thumbnails ul:hover{
+  background-image:<?php echo $thumbnail_hover; ?> ;
+     -moz-border-radius: <?php echo $thumbnail_rayon ;?>;  
+  border-radius:  <?php echo $thumbnail_rayon." ".$thumbnail_rayon ;?>; 
+   background-position: 100px center;
+}
+.switchArrow				{ background-image:url(icon/arrows_black.png);}
+.switchArrow:hover 			{ background-image:url(icon/arrows_black_hover.png);}
